## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/wuyongzheng/gimgtools
%global date 20130918
%global commit 92d015749e105c5fb8eb704ae503a5c7e51af2bd
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gimgtools
Version:        0.03^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Garmin Image Tools

License:        GPL-2.0-only
URL:            https://code.google.com/archive/p/gimgtools/
Source:         %{forgeurl}/archive/%{commit}/%{name}-%{commit}.tar.gz
# Fixed Makefile for compile on Mac OS X
Patch:          %{forgeurl}/pull/3.patch
# Add license file for GPLv2
Patch:          %{forgeurl}/pull/7.patch

BuildRequires:  gcc
BuildRequires:  make

%description
gimgtools is a set of command-line tools to examine and manipulate Garmin IMG
(the map format) files.

%prep
%autosetup -n %{name}-%{commit}

%build
%make_build \
  CC="$CC" \
  CFLAGS="-Wall -D_FILE_OFFSET_BITS=64 $CFLAGS" \
  LDLIBS="$LDFLAGS -lm"

%install
for bin in cmdc gimgch gimgextract gimginfo gimgfixcmd gimgunlock gimgxor; do
  install -Dpm0755 -t %{buildroot}%{_bindir} "$bin"
done

%files
%license LICENSE
%doc README.txt
%{_bindir}/cmdc
%{_bindir}/gimg*

%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.03^20130918git92d0157-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.03^20130918git92d0157-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.03^20130918git92d0157-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.03^20130918git92d0157-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.03^20130918git92d0157-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.03^20130918git92d0157-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.03^20130918git92d0157-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 10 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.03^20130918git92d0157-1
- Initial import; Fixes: RHBZ#2139014
## END: Generated by rpmautospec
